ome-files 0.1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
ome::files::FileInfo Struct Reference

Basic metadata for a file. More...

`#include <ome/files/FileInfo.h>`

Collaboration diagram for ome::files::FileInfo:
[legend]

## Public Attributes
boost::filesystem::path | filename
| Absolute path to this file.
std::string | reader
| FormatReader implementation used to read this file. More...
bool | usedToInitialize
| `true` if this file can be passed to the appropriate reader's FormatReader::setId() method; `false` if otherwise.

## Detailed Description

Basic metadata for a file.

## Member Data Documentation

std::string ome::files::FileInfo::reader

FormatReader implementation used to read this file.

Note
  In the Java implementation this returned a class. In the C++ implementation this is the name of the reader which may be used to construct a reader via a factory.

Todo:
  Document factory function to create reader.

Referenced by ome::files::detail::FormatReader::getAdvancedSeriesUsedFiles(), and ome::files::detail::FormatReader::getAdvancedUsedFiles().

The documentation for this struct was generated from the following file:

- ome/files/FileInfo.h